abi-compliance-checker-2.2-alt1.noarch.rpm


Advertisement

Description

abi-compliance-checker - ABI compliance checker

Property Value
Distribution ALT Linux Sisyphus
Repository Classic noarch
Package name abi-compliance-checker
Package version 2.2
Package release alt1
Package architecture noarch
Package type rpm
Installed size 1.23 MB
Download size 1.23 MB
Official Mirror ftp.altlinux.org
ABI-compliance-checker is a lightweight tool for checking backward binary
compatibility of shared C/C++ libraries in OS Linux. It checks interface
signatures and data type definitions in two library versions (headers and
shared objects) and searches differences that may lead to incompatibility
according to ABI standards. Breakage of the compatibility may result in
crashing or incorrect behavior of applications built with an old version of
a library when it is running with a new one. ABI-compliance-checker was
intended for library developers that are interested in ensuring backward
binary compatibility. Also ABI-compliance-checker may be used for checking
forward binary compatibility and compliance checking of the same library
versions on different linux distributions.

Alternatives

Package Version Architecture Repository
abi-compliance-checker - - -

Requires

Name Value
/usr/bin/perl -
binutils -
gcc -
perl(Config.pm) -
perl(Cwd.pm) -
perl(Data/Dumper.pm) -
perl(Fcntl.pm) -
perl(File/Basename.pm) -
perl(File/Copy.pm) -
perl(File/Path.pm) -
perl(File/Temp.pm) -
perl(Getopt/Long.pm) -
perl(Storable.pm) -
rpmlib(PayloadIsLzma) -

Provides

Name Value
abi-compliance-checker = 2.2-alt1

Download

Type URL
Binary Package abi-compliance-checker-2.2-alt1.noarch.rpm
Source Package abi-compliance-checker-2.2-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install abi-compliance-checker rpm package:
    # sudo apt-get install abi-compliance-checker

Files

Path
/usr/bin/abi-compliance-checker
/usr/share/abi-compliance-checker/
/usr/share/abi-compliance-checker/modules/RulesBin.xml
/usr/share/abi-compliance-checker/modules/RulesSrc.xml
/usr/share/abi-compliance-checker/modules/Internals/ABIDump.pm
/usr/share/abi-compliance-checker/modules/Internals/Basic.pm
/usr/share/abi-compliance-checker/modules/Internals/CallConv.pm
/usr/share/abi-compliance-checker/modules/Internals/Descriptor.pm
/usr/share/abi-compliance-checker/modules/Internals/ElfTools.pm
/usr/share/abi-compliance-checker/modules/Internals/Filter.pm
/usr/share/abi-compliance-checker/modules/Internals/GccAst.pm
/usr/share/abi-compliance-checker/modules/Internals/Input.pm
/usr/share/abi-compliance-checker/modules/Internals/Logging.pm
/usr/share/abi-compliance-checker/modules/Internals/Mangling.pm
/usr/share/abi-compliance-checker/modules/Internals/Path.pm
/usr/share/abi-compliance-checker/modules/Internals/RegTests.pm
/usr/share/abi-compliance-checker/modules/Internals/SysCheck.pm
/usr/share/abi-compliance-checker/modules/Internals/SysFiles.pm
/usr/share/abi-compliance-checker/modules/Internals/TUDump.pm
/usr/share/abi-compliance-checker/modules/Internals/TypeAttr.pm
/usr/share/abi-compliance-checker/modules/Internals/Utils.pm
/usr/share/abi-compliance-checker/modules/Internals/XmlDump.pm
/usr/share/abi-compliance-checker/modules/Internals/Scripts/Sections.js
/usr/share/abi-compliance-checker/modules/Internals/Scripts/Tabs.js
/usr/share/abi-compliance-checker/modules/Internals/Styles/CmpSystems.css
/usr/share/abi-compliance-checker/modules/Internals/Styles/HeadersDiff.css
/usr/share/abi-compliance-checker/modules/Internals/Styles/Report.css
/usr/share/abi-compliance-checker/modules/Internals/Styles/SymbolsList.css
/usr/share/abi-compliance-checker/modules/Internals/Styles/Tabs.css
/usr/share/doc/abi-compliance-checker-2.2/INSTALL
/usr/share/doc/abi-compliance-checker-2.2/README
/usr/share/doc/abi-compliance-checker-2.2/doc/Changelog.html
/usr/share/doc/abi-compliance-checker-2.2/doc/Xml-Descriptor.html
/usr/share/doc/abi-compliance-checker-2.2/doc/index.html

Changelog

2018-02-20 - Fr. Br. George <george@altlinux.ru> 2.2-alt1
- Autobuild version bump to 2.2
2017-08-25 - Fr. Br. George <george@altlinux.ru> 2.1-alt1
- Autobuild version bump to 2.1
2017-03-13 - Fr. Br. George <george@altlinux.ru> 2.0-alt1
- Autobuild version bump to 2.0
2016-10-31 - Fr. Br. George <george@altlinux.ru> 1.99.25-alt1
- Autobuild version bump to 1.99.25
2016-07-14 - Fr. Br. George <george@altlinux.ru> 1.99.22-alt1
- Autobuild version bump to 1.99.22
2015-12-24 - Fr. Br. George <george@altlinux.ru> 1.99.15-alt1
- Autobuild version bump to 1.99.15
2015-11-19 - Fr. Br. George <george@altlinux.ru> 1.99.14.1-alt1
- Autobuild version bump to 1.99.14.1
2014-02-18 - Fr. Br. George <george@altlinux.ru> 1.99.9-alt1
- Autobuild version bump to 1.99.9
2013-10-14 - Fr. Br. George <george@altlinux.ru> 1.99.8.5-alt1
- Autobuild version bump to 1.99.8.5
2013-08-21 - Fr. Br. George <george@altlinux.ru> 1.99.8.2-alt1
- Autobuild version bump to 1.99.8.2
- Upstream packageing scheme changed again

See Also

Package Description
abi-dumper-1.1-alt1.noarch.rpm A tool to dump ABI of an ELF object containing DWARF debug info
abiword-data-3.0.2-alt4.noarch.rpm Arch independent files for AbiWord
abiword-docs-3.0.1-alt1.noarch.rpm Documentation for AbiWord word processor
abiword-gir-devel-3.0.2-alt4.noarch.rpm GObject introspection devel data for the abiword
abuse-data-0.8-alt2.noarch.rpm Data files for abuse
accerciser-3.22.0-alt1.noarch.rpm An interactive Python tool for querying accessibility information
aceproxy-0.6-alt1.noarch.rpm AceProxy: Ace Stream HTTP Proxy
acheck-0.5.4-alt1_0.noarch.rpm Check common localisation mistakes
acheck-rules-0.3.1-alt3_8.noarch.rpm Rules for acheck
acidrip-0.14-alt2.qa1.noarch.rpm Video ripping and conversion tool
ackerTodo-4.0-alt1.noarch.rpm TODO list manager (web based)
acpi_call-0.1-alt3.noarch.rpm scripts for disabling discrete GPU on some laptops
acpid-events-power-2.0.22-alt1.noarch.rpm Power event config
acti-recorder-0.2-alt1.noarch.rpm Recording video from acti cameras
activeio-3.1.4-alt2_15jpp8.noarch.rpm Apache ActiveMQ ActiveIO :: Core
Advertisement
Advertisement